<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
    <properties resource="hikari.properties"/>
    <environments default="dev">
        <!--<environment id="dev">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="url" value="#{jdbcUrl}"/>
                <property name="username" value="#{username}"/>
                <property name="password" value="#{password}"/>
            </dataSource>
        </environment>-->
        <environment id="dev">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="driver" value="com.mysql.cj.jdbc.Driver"/>
                <property name="url" value="jdbc:mysql://localhost:3306/reghao_atest?useSSL=false&amp;useUnicode=true&amp;characterEncoding=UTF-8&amp;serverTimezone=GMT%2b8"/>
                <property name="username" value="dev"/>
                <property name="password" value="Dev@123456"/>
            </dataSource>
        </environment>
        <environment id="test">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="driver" value="com.mysql.cj.jdbc.Driver"/>
                <property name="url" value="jdbc:mysql://192.168.0.202:3306/reghao_atest?useUnicode=true&amp;characterEncoding=utf8&amp;zeroDateTimeBehavior=convertToNull"/>
                <property name="username" value="test"/>
                <property name="password" value="Test@123456"/>
            </dataSource>
        </environment>
    </environments>

    <!-- 加载映射文件（相对于 resources 的路径） -->
    <mappers>
        <mapper resource="mapper/UserMapper.xml"/>
    </mappers>
</configuration>